package entities;

import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.TableGenerator;

@Entity
@TableGenerator(name="OverridingTGOnEntityByIDTag", initialValue=10, allocationSize=1001, pkColumnName="ignoredColumnName",
            valueColumnName="ignoredValueColumnName", table="ignoredTableName")
public class WorkingEntity2 implements Serializable {

    @Id
    @GeneratedValue(strategy = GenerationType.TABLE, generator="OverridingTGOnEntityByIDTag")
    private Long id;
    
    public WorkingEntity2() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public int hashCode() {
        int hash = 0;
        hash += (this.id != null ? this.id.hashCode() : 0);
        return hash;
    }

    public boolean equals(Object object) {
        if (!(object instanceof WorkingEntity2)) {
            return false;
        }
        WorkingEntity2 other = (WorkingEntity2)object;
        if (this.id != other.id && (this.id == null || !this.id.equals(other.id))) return false;
        return true;
    }

    public String toString() {
        return "entities.OnEntityByID[id=" + id + "]";
    }
    
}
